Subject: Re: [PATCH v2 1/1] RDMA/mana_ib: Add EQ interrupt support to mana ib driver.

From: Jakub Kicinski <[email-masked]>
Date: Mon, 12 Jun 2023 10:21:24 -0700

On Mon, 12 Jun 2023 04:44:44 +0000 Wei Hu wrote:
> If the patch also needs to go through the NETDEV branch, does it mean two subsystems will pull its own part? A few follow-up questions about generating a PR, since I have never done such before.
> 
> 1. Which repo should I clone and create the branch from?

The main tree of Linus Torvalds. Check which tags are present in both
netdev and rdma trees and use the newest common tag between the trees
as a base.

> 2. From the example you provided, I see these people has their own branches on kernel.org, for example something like:
> git://git.kernel.org/pub/scm/linux/kernel/git/saeed/linux.git tags/mlx5-updates-2023-06-06. 
> I am not Linux maintainer. I just have repo on Github. How do I
> create or fork on kernel.org? Do I need an account to do so? Or I can
> use my own repo on Github?

GitHub is fine.

> 3.  How to create PR in this case? Should I follow this link:
> https://docs.kernel.org/maintainer/pull-requests.html?

Sort of. But still post the patches, so you'd want to use these
commands somewhere along the way:

git format-patch [...] -o $path --cover-letter
git request-pull [...] >> $path/0000-cover-letter.patch